Bug 219975 - AttributeError: 'YumRepository' object has no attribute 'grab'
AttributeError: 'YumRepository' object has no attribute 'grab'
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-17 20:08 EST by Michael Schwendt
Modified: 2014-01-21 17:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 10:00:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2006-12-17 20:08:56 EST
yum.YumBase.downloadHeader(pkg) here crashes (this used to work with FC5):

Traceback (most recent call last):
  File "./confcheck-remote.py", line 327, in ?
    main()
  File "./confcheck-remote.py", line 298, in main
    lister1.downloadHeader(pkg2)  # TODO
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 760, in
downloadHeader
    cache=repo.http_caching != 'none',
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 458, in getHeader
    cache=cache,
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 421, in __get
    result = self.grab.urlgrab(relative, local,
AttributeError: 'YumRepository' object has no attribute 'grab'
Comment 1 Michael Schwendt 2006-12-19 10:00:32 EST
Apparently only happens when a repository is not enabled(). So, I
assume this to be a user error, albeit the code ought not run into
any AttributeError in that case.

Note You need to log in before you can comment on or make changes to this bug.